io.vertx.core.http

## Interface ServerWebSocketStream

- All Superinterfaces:
    ReadStream<ServerWebSocket>, StreamBase

      public interface ServerWebSocketStream
      extends ReadStream<ServerWebSocket>

  A `ReadStream` of `ServerWebSocket`, used for notifying web socket connections to a `HttpServer`.
  Author:
    Julien Viet

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ServerWebSocketStream` | `endHandler(Handler<Void> endHandler)` Set an end handler.
    `ServerWebSocketStream` | `exceptionHandler(Handler<Throwable> handler)` Set an exception handler on the read stream.
    `ServerWebSocketStream` | `handler(Handler<ServerWebSocket> handler)` Set a data handler.
    `ServerWebSocketStream` | `pause()` Pause the `ReadSupport`.
    `ServerWebSocketStream` | `resume()` Resume reading.

- - ### Method Detail

    - #### exceptionHandler

          ServerWebSocketStream exceptionHandler(Handler<Throwable> handler)

      Description copied from interface: `ReadStream`
      Set an exception handler on the read stream.
      Specified by:
        `exceptionHandler` in interface `ReadStream<ServerWebSocket>`
      Specified by:
        `exceptionHandler` in interface `StreamBase`
      Parameters:
        `handler` - the exception handler
      Returns:
        a reference to this, so the API can be used fluently

    - #### handler

          ServerWebSocketStream handler(Handler<ServerWebSocket> handler)

      Description copied from interface: `ReadStream`
      Set a data handler. As data is read, the handler will be called with the data.
      Specified by:
        `handler` in interface `ReadStream<ServerWebSocket>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### pause

          ServerWebSocketStream pause()

      Description copied from interface: `ReadStream`
      Pause the `ReadSupport`. While it's paused, no data will be sent to the `dataHandler`
      Specified by:
        `pause` in interface `ReadStream<ServerWebSocket>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### resume

          ServerWebSocketStream resume()

      Description copied from interface: `ReadStream`
      Resume reading. If the `ReadSupport` has been paused, reading will recommence on it.
      Specified by:
        `resume` in interface `ReadStream<ServerWebSocket>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### endHandler

          ServerWebSocketStream endHandler(Handler<Void> endHandler)

      Description copied from interface: `ReadStream`
      Set an end handler. Once the stream has ended, and there is no more data to be read, this handler will be called.
      Specified by:
        `endHandler` in interface `ReadStream<ServerWebSocket>`
      Returns:
        a reference to this, so the API can be used fluently

Copyright © 2015. All Rights Reserved.